/*
 * Copyright (C) 2002 Robert Ernst <robert.ernst@linux-solutions.at>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 *
 */

#ifndef __ICEBLOXX_HEADER__
#define __ICEBLOXX_HEADER__

#include <qpe/qpemenubar.h>
#include <qmainwindow.h>
#include <qpopupmenu.h>
#include "PlayField.h"

class Icebloxx : public QMainWindow
{
    Q_OBJECT

public:
    Icebloxx(QWidget *parent = 0, const char *name = 0, WFlags f = 0);
    ~Icebloxx();

private:
    void readConfig(void);
    void writeConfig(void);

private:
    PlayField *m_field;
    QPopupMenu *m_speedMenu;
    QPopupMenu *m_strengthMenu;
    QPopupMenu *m_coinsMenu;
    int m_speed;
    int m_strength;
    int m_coins;

protected slots:
    void updateSpeed(int speed);
    void updateStrength(int strength);
    void updateCoins(int coins);
};

#endif // __ICEBLOXX_HEADER__

